#!/bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - pre-installation file for freeradius services on EIS/FAIR
#
# Creation   : 2009-08-08 jed
# Last Update: $Id: preinstall.sh 166 2010-02-25 00:40:23Z stm $
#
# Copyright (c) 2009 Juergen Edner, juergen(at)eisfair(dot)org
# Copyright (c) 2010 Stephan Manske, eisfair-develop(at)stephan(dot)manske-net(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

callDir=`pwd`

module_name='freeradius'

# file names
configfile=/etc/config.d/${module_name}
deinstallfile=/var/install/deinstall/${module_name}

/usr/local/bin/colecho "running preinstall.sh ..." gn

needed_base='1.6.0'

### check base version
if [ ! -f /var/install/bin/check-version ] ||
   [ `/var/install/bin/check-version base $needed_base` = "new" ]
then
    echo
    echo
    colecho "The version of eisfair must be $needed_base or higher." rd w brinv
    colecho "Please update your eisfair system first." rd w brinv
    echo
    echo
    exit 1
fi


# include eislib
. /var/install/include/eislib

# deinstall old software
if [ -f "${deinstallfile}" ]
then
    # deinstall old software
    mecho "deinstalling previously installed software ..."
    ${deinstallfile} update
fi

cd ${callDir}

exit 0